Bug Hunting Session
Bug 97642 - Beanshell Editor: Use native theming for swing controls
Summary: Beanshell Editor: Use native theming for swing controls
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium enhancement
Assignee: Chirag
URL:
Whiteboard: ToBeReviewed target:5.2.0
Keywords: difficultyBeginner, easyHack, skillJava
Depends on:
Blocks: Beanshell-Editor
  Show dependency treegraph
 
Reported: 2016-02-08 11:57 UTC by Samuel Mehrbrodt (CIB)
Modified: 2016-10-25 19:08 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Samuel Mehrbrodt (CIB) 2016-02-08 11:57:52 UTC
The dialog should use the SystemLookAndFeel for swing controls.
Comment 1 Samuel Mehrbrodt (CIB) 2016-02-08 12:47:11 UTC
EasyHack:
The source is in scripting/java/com/sun/star/script/framework/provider/beanshell
Comment 2 Chris Sherlock 2016-02-14 13:21:41 UTC
It too me a bit of time to work out how to get into Beanshell. In case anyone else is curious (someone comes onto the dev IRC channel every now and again to ask about it), you need to:

1. Open a new writer document
2. Go to tools -> Macros -> Organize Macros -> Beanshell...
3. Find a .bsh script, then click on edit

At this point, you have the Beanshell editor.
Comment 3 Chirag 2016-02-17 14:32:50 UTC
(In reply to Samuel Mehrbrodt (CIB) from comment #0)
> The dialog should use the SystemLookAndFeel for swing controls.

Patch submitted on gerrit. Please review
https://gerrit.libreoffice.org/#/c/22429/
Comment 4 Chris Sherlock 2016-02-18 04:33:00 UTC
Caolan fixed a problem that occurs when GTK3 is loaded and Swing tries to use GTK2. I've pushed this to master now.
Comment 5 Commit Notification 2016-02-18 04:34:34 UTC
Chirag Manwani committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=9046ce5cb9df2cdb379bc460dfd23e00f96e51f3

tdf#97642 Use native theming for swing controls in Beanshell Editor

It will be available in 5.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Robinson Tryon (qubit) 2016-02-18 16:34:25 UTC Comment hidden (obsolete)